alter table AssetCategory add description varchar(4000);

alter table AssetEntry add classTypeId int64;
alter table AssetEntry add layoutUuid varchar(75);


alter table BlogsEntry add description varchar(4000);
alter table BlogsEntry add smallImage smallint;
alter table BlogsEntry add smallImageId varchar(75);
alter table BlogsEntry add smallImageURL varchar(4000);

alter table BookmarksEntry add resourceBlockId int64;
alter table BookmarksEntry add description varchar(75);

commit;

alter table BookmarksEntry drop column comments;

alter table BookmarksFolder add resourceBlockId int64;

alter table CalEvent add location varchar(4000);


alter table Company add active_ smallint;

commit;


alter table Country add zipRequired smallint;

commit;


create table DDLRecord (
	uuid_ varchar(75),
	recordId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	versionUserId int64,
	versionUserName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	DDMStorageId int64,
	recordSetId int64,
	version varchar(75),
	displayIndex integer
);

create table DDLRecordSet (
	uuid_ varchar(75),
	recordSetId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	DDMStructureId int64,
	recordSetKey varchar(75),
	name varchar(4000),
	description varchar(4000),
	minDisplayRows integer,
	scope integer
);

create table DDLRecordVersion (
	recordVersionId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	DDMStorageId int64,
	recordSetId int64,
	recordId int64,
	version varchar(75),
	displayIndex integer,
	status integer,
	statusByUserId int64,
	statusByUserName varchar(75),
	statusDate timestamp
);

create table DDMContent (
	uuid_ varchar(75),
	contentId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	name varchar(4000),
	description varchar(4000),
	xml blob
);

create table DDMStorageLink (
	uuid_ varchar(75),
	storageLinkId int64 not null primary key,
	classNameId int64,
	classPK int64,
	structureId int64
);

create table DDMStructure (
	uuid_ varchar(75),
	structureId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	classNameId int64,
	structureKey varchar(75),
	name varchar(4000),
	description varchar(4000),
	xsd blob,
	storageType varchar(75),
	type_ integer
);

create table DDMStructureLink (
	structureLinkId int64 not null primary key,
	classNameId int64,
	classPK int64,
	structureId int64
);

create table DDMTemplate (
	uuid_ varchar(75),
	templateId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	structureId int64,
	name varchar(4000),
	description varchar(4000),
	type_ varchar(75),
	mode_ varchar(75),
	language varchar(75),
	script blob
);

create table DLContent (
	contentId int64 not null primary key,
	groupId int64,
	companyId int64,
	repositoryId int64,
	path_ varchar(255),
	version varchar(75),
	data_ blob,
	size_ int64
);

create table DLFileEntryMetadata (
	uuid_ varchar(75),
	fileEntryMetadataId int64 not null primary key,
	DDMStorageId int64,
	DDMStructureId int64,
	fileEntryTypeId int64,
	fileEntryId int64,
	fileVersionId int64
);

create table DLFileEntryType (
	uuid_ varchar(75),
	fileEntryTypeId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	name varchar(75),
	description varchar(4000)
);

create table DLFileEntryTypes_DDMStructures (
	fileEntryTypeId int64 not null,
	structureId int64 not null,
	primary key (fileEntryTypeId, structureId)
);

create table DLFileEntryTypes_DLFolders (
	fileEntryTypeId int64 not null,
	folderId int64 not null,
	primary key (fileEntryTypeId, folderId)
);

alter table DLFileEntry add repositoryId int64;
alter table DLFileEntry add fileEntryTypeId int64;
alter table DLFileEntry add smallImageId int64;
alter table DLFileEntry add largeImageId int64;
alter table DLFileEntry add custom1ImageId int64;
alter table DLFileEntry add custom2ImageId int64;

commit;


alter table DLFileShortcut add repositoryId int64;

commit;


alter table DLFileVersion add modifiedDate timestamp;
alter table DLFileVersion add repositoryId int64;
alter table DLFileVersion add folderId int64;
alter table DLFileVersion add fileEntryTypeId int64;

commit;


alter table DLFolder add repositoryId int64;
alter table DLFolder add mountPoint smallint;
alter table DLFolder add defaultFileEntryTypeId int64;
alter table DLFolder add overrideFileEntryTypes smallint;

commit;


create table DLSync (
	syncId int64 not null primary key,
	companyId int64,
	createDate timestamp,
	modifiedDate timestamp,
	fileId int64,
	repositoryId int64,
	parentFolderId int64,
	event varchar(75),
	type_ varchar(75)
);

alter table Group_ add site smallint;


alter table JournalArticle add classNameId int64;
alter table JournalArticle add classPK int64;
alter table JournalArticle add layoutUuid varchar(75);

commit;


drop index IX_FAD05595;

alter table Layout add createDate timestamp;
alter table Layout add modifiedDate timestamp;
alter table Layout add keywords varchar(4000);
alter table Layout add robots varchar(4000);
alter table Layout add layoutPrototypeUuid varchar(75);
alter table Layout add layoutPrototypeLinkEnabled smallint;
alter table Layout add templateLayoutUuid varchar(75);
alter table Layout drop column layoutPrototypeId;
alter table Layout drop column dlFolderId;


commit;

create table LayoutBranch (
	LayoutBranchId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	layoutSetBranchId int64,
	plid int64,
	name varchar(75),
	description varchar(4000),
	master smallint
);

alter table LayoutPrototype add uuid_ varchar(75);

create table LayoutRevision (
	layoutRevisionId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	layoutSetBranchId int64,
	layoutBranchId int64,
	parentLayoutRevisionId int64,
	head smallint,
	major smallint,
	plid int64,
	privateLayout smallint,
	name varchar(4000),
	title varchar(4000),
	description varchar(4000),
	keywords varchar(4000),
	robots varchar(4000),
	typeSettings blob,
	iconImage smallint,
	iconImageId int64,
	themeId varchar(75),
	colorSchemeId varchar(75),
	wapThemeId varchar(75),
	wapColorSchemeId varchar(75),
	css varchar(4000),
	status integer,
	statusByUserId int64,
	statusByUserName varchar(75),
	statusDate timestamp
);

create table LayoutSetBranch (
	layoutSetBranchId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	privateLayout smallint,
	name varchar(75),
	description varchar(4000),
	master smallint
);

alter table LayoutSetPrototype add uuid_ varchar(75);

alter table MBCategory add displayStyle varchar(75);

commit;


alter table MBMessage add format varchar(75);
alter table MBMessage add answer smallint;

commit;


alter table MBThread add question smallint;

create table MBThreadFlag (
	threadFlagId int64 not null primary key,
	userId int64,
	modifiedDate timestamp,
	threadId int64
);

create table MDRAction (
	uuid_ varchar(75),
	actionId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	classNameId int64,
	classPK int64,
	ruleGroupInstanceId int64,
	name varchar(4000),
	description varchar(4000),
	type_ varchar(255),
	typeSettings blob
);

create table MDRRule (
	uuid_ varchar(75),
	ruleId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	ruleGroupId int64,
	name varchar(4000),
	description varchar(4000),
	type_ varchar(255),
	typeSettings blob
);

create table MDRRuleGroup (
	uuid_ varchar(75),
	ruleGroupId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	name varchar(4000),
	description varchar(4000)
);

create table MDRRuleGroupInstance (
	uuid_ varchar(75),
	ruleGroupInstanceId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	userName varchar(75),
	createDate timestamp,
	modifiedDate timestamp,
	classNameId int64,
	classPK int64,
	ruleGroupId int64,
	priority integer
);

alter table Organization_ add treePath varchar(4000);
alter table Organization_ drop column leftOrganizationId;
alter table Organization_ drop column rightOrganizationId;

alter table PollsVote add companyId int64;
alter table PollsVote add userName varchar(75);
alter table PollsVote add createDate timestamp;
alter table PollsVote add modifiedDate timestamp;

create table Repository (
	repositoryId int64 not null primary key,
	groupId int64,
	companyId int64,
	createDate timestamp,
	modifiedDate timestamp,
	classNameId int64,
	name varchar(75),
	description varchar(4000),
	portletId varchar(75),
	typeSettings blob,
	dlFolderId int64
);

create table RepositoryEntry (
	uuid_ varchar(75),
	repositoryEntryId int64 not null primary key,
	groupId int64,
	repositoryId int64,
	mappedId varchar(75)
);

create table ResourceBlock (
	resourceBlockId int64 not null primary key,
	companyId int64,
	groupId int64,
	name varchar(75),
	permissionsHash varchar(75),
	referenceCount int64
);

create table ResourceBlockPermission (
	resourceBlockPermissionId int64 not null primary key,
	resourceBlockId int64,
	roleId int64,
	actionIds int64
);

create table ResourceTypePermission (
	resourceTypePermissionId int64 not null primary key,
	companyId int64,
	groupId int64,
	name varchar(75),
	roleId int64,
	actionIds int64
);

create table SocialActivityAchievement (
	activityAchievementId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	createDate int64,
	name varchar(75),
	firstInGroup smallint
);

create table SocialActivityCounter (
	activityCounterId int64 not null primary key,
	groupId int64,
	companyId int64,
	classNameId int64,
	classPK int64,
	name varchar(75),
	ownerType integer,
	currentValue integer,
	totalValue integer,
	graceValue integer,
	startPeriod integer,
	endPeriod integer
);

create table SocialActivityLimit (
	activityLimitId int64 not null primary key,
	groupId int64,
	companyId int64,
	userId int64,
	classNameId int64,
	classPK int64,
	activityType integer,
	activityCounterName varchar(75),
	value varchar(75)
);

create table SocialActivitySetting (
	activitySettingId int64 not null primary key,
	groupId int64,
	companyId int64,
	classNameId int64,
	activityType integer,
	name varchar(75),
	value varchar(1024)
);


alter table User_ add emailAddressVerified smallint;
alter table User_ add status int;

commit;


alter table User_ drop column active_;

alter table UserGroup add publicLayoutSetPrototypeId int64;
alter table UserGroup add privateLayoutSetPrototypeId int64;

alter table UserNotificationEvent add archived smallint;

alter table WorkflowDefinitionLink add classPK int64;
alter table WorkflowDefinitionLink add typePK int64;
