alter table AssetCategory add description varchar2(4000) null;

alter table AssetEntry add classTypeId number(30,0);
alter table AssetEntry add layoutUuid varchar2(300) null;

update AssetEntry set classUuid = (select uuid_ from JournalArticleResource where AssetEntry.classPK = JournalArticleResource.resourcePrimKey) where visible = 1 and classNameId = (select classNameId from ClassName_ where value = 'com.liferay.portlet.journal.model.JournalArticle');

alter table BlogsEntry add description varchar2(4000) null;
alter table BlogsEntry add smallImage number(1, 0);
alter table BlogsEntry add smallImageId varchar2(300) null;
alter table BlogsEntry add smallImageURL varchar2(4000) null;

alter table BookmarksEntry add resourceBlockId number(30,0);
alter table BookmarksEntry add description varchar2(300) null;

commit;

update BookmarksEntry set description = comments;
alter table BookmarksEntry drop column comments;

alter table BookmarksFolder add resourceBlockId number(30,0);

alter table CalEvent add location varchar2(4000) null;

update ClassName_ set value = 'com.liferay.portal.model.UserPersonalSite' where value = 'com.liferay.portal.model.UserPersonalCommunity';

alter table Company add active_ number(1, 0);

commit;

update Company set active_ = 1;

alter table Country add zipRequired number(1, 0);

commit;

update Country set zipRequired = 1;

create table DDLRecord (
	uuid_ varchar2(300) null,
	recordId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	versionUserId number(30,0),
	versionUserName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	DDMStorageId number(30,0),
	recordSetId number(30,0),
	version varchar2(300) null,
	displayIndex number(30,0)
);

create table DDLRecordSet (
	uuid_ varchar2(300) null,
	recordSetId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	DDMStructureId number(30,0),
	recordSetKey varchar2(300) null,
	name varchar2(4000) null,
	description varchar2(4000) null,
	minDisplayRows number(30,0),
	scope number(30,0)
);

create table DDLRecordVersion (
	recordVersionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	DDMStorageId number(30,0),
	recordSetId number(30,0),
	recordId number(30,0),
	version varchar2(300) null,
	displayIndex number(30,0),
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName varchar2(300) null,
	statusDate timestamp null
);

create table DDMContent (
	uuid_ varchar2(300) null,
	contentId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name varchar2(4000) null,
	description varchar2(4000) null,
	xml clob null
);

create table DDMStorageLink (
	uuid_ varchar2(300) null,
	storageLinkId number(30,0) not null primary key,
	classNameId number(30,0),
	classPK number(30,0),
	structureId number(30,0)
);

create table DDMStructure (
	uuid_ varchar2(300) null,
	structureId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	structureKey varchar2(300) null,
	name varchar2(4000) null,
	description varchar2(4000) null,
	xsd clob null,
	storageType varchar2(300) null,
	type_ number(30,0)
);

create table DDMStructureLink (
	structureLinkId number(30,0) not null primary key,
	classNameId number(30,0),
	classPK number(30,0),
	structureId number(30,0)
);

create table DDMTemplate (
	uuid_ varchar2(300) null,
	templateId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	structureId number(30,0),
	name varchar2(4000) null,
	description varchar2(4000) null,
	type_ varchar2(300) null,
	mode_ varchar2(300) null,
	language varchar2(300) null,
	script clob null
);

create table DLContent (
	contentId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	repositoryId number(30,0),
	path_ varchar2(1020) null,
	version varchar2(300) null,
	data_ blob,
	size_ number(30,0)
);

create table DLFileEntryMetadata (
	uuid_ varchar2(300) null,
	fileEntryMetadataId number(30,0) not null primary key,
	DDMStorageId number(30,0),
	DDMStructureId number(30,0),
	fileEntryTypeId number(30,0),
	fileEntryId number(30,0),
	fileVersionId number(30,0)
);

create table DLFileEntryType (
	uuid_ varchar2(300) null,
	fileEntryTypeId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name varchar2(300) null,
	description varchar2(4000) null
);

create table DLFileEntryTypes_DDMStructures (
	fileEntryTypeId number(30,0) not null,
	structureId number(30,0) not null,
	primary key (fileEntryTypeId, structureId)
);

create table DLFileEntryTypes_DLFolders (
	fileEntryTypeId number(30,0) not null,
	folderId number(30,0) not null,
	primary key (fileEntryTypeId, folderId)
);

alter table DLFileEntry add repositoryId number(30,0);
alter table DLFileEntry add fileEntryTypeId number(30,0);
alter table DLFileEntry add smallImageId number(30,0);
alter table DLFileEntry add largeImageId number(30,0);
alter table DLFileEntry add custom1ImageId number(30,0);
alter table DLFileEntry add custom2ImageId number(30,0);

commit;

update DLFileEntry set repositoryId = groupId;

alter table DLFileShortcut add repositoryId number(30,0);

commit;

update DLFileShortcut set repositoryId = groupId;

alter table DLFileVersion add modifiedDate timestamp null;
alter table DLFileVersion add repositoryId number(30,0);
alter table DLFileVersion add folderId number(30,0);
alter table DLFileVersion add fileEntryTypeId number(30,0);

commit;

update DLFileVersion set modifiedDate = statusDate;
update DLFileVersion set repositoryId = groupId;

alter table DLFolder add repositoryId number(30,0);
alter table DLFolder add mountPoint number(1, 0);
alter table DLFolder add defaultFileEntryTypeId number(30,0);
alter table DLFolder add overrideFileEntryTypes number(1, 0);

commit;

update DLFolder set repositoryId = groupId;
update DLFolder set mountPoint = 0;

create table DLSync (
	syncId number(30,0) not null primary key,
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	fileId number(30,0),
	repositoryId number(30,0),
	parentFolderId number(30,0),
	event varchar2(300) null,
	type_ varchar2(300) null
);

alter table Group_ add site number(1, 0);

update Group_ set name = 'User Personal Site' where name = 'User Personal Community';
update Group_ set type_ = 3 where classNameId = (select classNameId from ClassName_ where value = 'com.liferay.portal.model.Organization');

alter table JournalArticle add classNameId number(30,0) null;
alter table JournalArticle add classPK number(30,0) null;
alter table JournalArticle add layoutUuid varchar2(300) null;

commit;

update JournalArticle set classNameId = 0;
update JournalArticle set classPK = 0;

drop index IX_FAD05595;

alter table Layout add createDate timestamp null;
alter table Layout add modifiedDate timestamp null;
alter table Layout add keywords varchar2(4000) null;
alter table Layout add robots varchar2(4000) null;
alter table Layout add layoutPrototypeUuid varchar2(300) null;
alter table Layout add layoutPrototypeLinkEnabled number(1, 0) null;
alter table Layout add templateLayoutUuid varchar2(300) null;
alter table Layout drop column layoutPrototypeId;
alter table Layout drop column dlFolderId;

update Layout set createDate = sysdate;
update Layout set modifiedDate = sysdate;

commit;

create table LayoutBranch (
	LayoutBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	layoutSetBranchId number(30,0),
	plid number(30,0),
	name varchar2(300) null,
	description varchar2(4000) null,
	master number(1, 0)
);

alter table LayoutPrototype add uuid_ varchar2(300) null;

create table LayoutRevision (
	layoutRevisionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	layoutSetBranchId number(30,0),
	layoutBranchId number(30,0),
	parentLayoutRevisionId number(30,0),
	head number(1, 0),
	major number(1, 0),
	plid number(30,0),
	privateLayout number(1, 0),
	name varchar2(4000) null,
	title varchar2(4000) null,
	description varchar2(4000) null,
	keywords varchar2(4000) null,
	robots varchar2(4000) null,
	typeSettings clob null,
	iconImage number(1, 0),
	iconImageId number(30,0),
	themeId varchar2(300) null,
	colorSchemeId varchar2(300) null,
	wapThemeId varchar2(300) null,
	wapColorSchemeId varchar2(300) null,
	css varchar2(4000) null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName varchar2(300) null,
	statusDate timestamp null
);

create table LayoutSetBranch (
	layoutSetBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	privateLayout number(1, 0),
	name varchar2(300) null,
	description varchar2(4000) null,
	master number(1, 0)
);

alter table LayoutSetPrototype add uuid_ varchar2(300) null;

alter table MBCategory add displayStyle varchar2(300) null;

commit;

update MBCategory set displayStyle = 'default';

alter table MBMessage add format varchar2(300) null;
alter table MBMessage add answer number(1, 0);

commit;

update MBMessage set format = 'bbcode';

alter table MBThread add question number(1, 0);

create table MBThreadFlag (
	threadFlagId number(30,0) not null primary key,
	userId number(30,0),
	modifiedDate timestamp null,
	threadId number(30,0)
);

create table MDRAction (
	uuid_ varchar2(300) null,
	actionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	ruleGroupInstanceId number(30,0),
	name varchar2(4000) null,
	description varchar2(4000) null,
	type_ varchar2(1020) null,
	typeSettings clob null
);

create table MDRRule (
	uuid_ varchar2(300) null,
	ruleId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	ruleGroupId number(30,0),
	name varchar2(4000) null,
	description varchar2(4000) null,
	type_ varchar2(1020) null,
	typeSettings clob null
);

create table MDRRuleGroup (
	uuid_ varchar2(300) null,
	ruleGroupId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name varchar2(4000) null,
	description varchar2(4000) null
);

create table MDRRuleGroupInstance (
	uuid_ varchar2(300) null,
	ruleGroupInstanceId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName varchar2(300) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	ruleGroupId number(30,0),
	priority number(30,0)
);

alter table Organization_ add treePath varchar2(4000) null;
alter table Organization_ drop column leftOrganizationId;
alter table Organization_ drop column rightOrganizationId;

alter table PollsVote add companyId number(30,0);
alter table PollsVote add userName varchar2(300) null;
alter table PollsVote add createDate timestamp null;
alter table PollsVote add modifiedDate timestamp null;

create table Repository (
	repositoryId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	name varchar2(300) null,
	description varchar2(4000) null,
	portletId varchar2(300) null,
	typeSettings clob null,
	dlFolderId number(30,0)
);

create table RepositoryEntry (
	uuid_ varchar2(300) null,
	repositoryEntryId number(30,0) not null primary key,
	groupId number(30,0),
	repositoryId number(30,0),
	mappedId varchar2(300) null
);

create table ResourceBlock (
	resourceBlockId number(30,0) not null primary key,
	companyId number(30,0),
	groupId number(30,0),
	name varchar2(300) null,
	permissionsHash varchar2(300) null,
	referenceCount number(30,0)
);

create table ResourceBlockPermission (
	resourceBlockPermissionId number(30,0) not null primary key,
	resourceBlockId number(30,0),
	roleId number(30,0),
	actionIds number(30,0)
);

create table ResourceTypePermission (
	resourceTypePermissionId number(30,0) not null primary key,
	companyId number(30,0),
	groupId number(30,0),
	name varchar2(300) null,
	roleId number(30,0),
	actionIds number(30,0)
);

create table SocialActivityAchievement (
	activityAchievementId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	name varchar2(300) null,
	firstInGroup number(1, 0)
);

create table SocialActivityCounter (
	activityCounterId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	name varchar2(300) null,
	ownerType number(30,0),
	currentValue number(30,0),
	totalValue number(30,0),
	graceValue number(30,0),
	startPeriod number(30,0),
	endPeriod number(30,0)
);

create table SocialActivityLimit (
	activityLimitId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	activityType number(30,0),
	activityCounterName varchar2(300) null,
	value varchar2(300) null
);

create table SocialActivitySetting (
	activitySettingId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	classNameId number(30,0),
	activityType number(30,0),
	name varchar2(300) null,
	value varchar2(4000) null
);

update Role_ set name = 'Site Administrator' where name = 'Community Administrator';
update Role_ set name = 'Site Member' where name = 'Community Member';
update Role_ set name = 'Site Owner' where name = 'Community Owner';
update Role_ set name = 'Organization User' where name = 'Organization Member';

alter table User_ add emailAddressVerified number(1, 0);
alter table User_ add status int;

commit;

update User_ set emailAddressVerified = 1;
update User_ set status = 0;
update User_ set status = 5 where active_ = 0;

alter table User_ drop column active_;

alter table UserGroup add publicLayoutSetPrototypeId number(30,0);
alter table UserGroup add privateLayoutSetPrototypeId number(30,0);

alter table UserNotificationEvent add archived number(1, 0);

alter table WorkflowDefinitionLink add classPK number(30,0);
alter table WorkflowDefinitionLink add typePK number(30,0);
